Bug 49970 - mc runs lynx in background of current xterm
mc runs lynx in background of current xterm
Product: Red Hat Linux
Classification: Retired
Component: mc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-07-25 14:27 EDT by Ian Abbott
Modified: 2013-04-02 00:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-25 14:34:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Abbott 2001-07-25 14:27:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
When running mc in a xterm or gnome-terminal, etc. and you open a .html 
file, mc runs lynx as a background process on the current (pseudo) tty. 
This is not very useful :-)

How reproducible:

Steps to Reproduce:
1. run mc in an xterm or similar
2. browse to a .html file
3. press enter

Actual Results:  Lynx displays the first page of the file with "Press 
space for next page" if the file is long enough. However, any keyboard 
input actually goes to mc's command line, which is still running in the 
foreground! Hitting ^L will refresh mc's display.

Expected Results:  Either open a new xterm (but how would mc decide what 
sort of xterm program you prefer?) or preferably, run lynx in the 

Additional info:

Workaround is to edit the line in the /usr/lib/mc/mc.ext file which runs 
lynx on an "Open" event a little bit.

Old version:

 Open=if [ x$DISPLAY = x ]; then lynx -force_html %f; else (lynx %f &); fi

Fixed version:

 Open=lynx -force_html %f

This will always open the .html file in the foreground of the current 
terminal. Works for me ;-)

This bug is also present in RH7.0 and possibly earlier. I haven't checked 
platforms other than i386, but suspect they will also have this bug.
Comment 1 Havoc Pennington 2002-03-04 16:01:49 EST
We'll pick this up if upstream mc makes the change. Planning to 
upgrade to latest mc for the next release. 

See http://www.gnome.org/projects/mc to contact the upstream mc mailing list.

Note You need to log in before you can comment on or make changes to this bug.